import './globals.css'
import type { Metadata } from 'next'
import { Inter } from 'next/font/google'
import { FormContextProvider } from '../core/context/formContext'

const inter = Inter({ subsets: ['latin'] })

export const metadata: Metadata = {
  title: 'My Next App',
  description: 'Generated by Jhan Negrete',
}

export default function RootLayout({
  children,
}: {
  children: React.ReactNode
}) {
  return (
    <html lang="en">
      <body className={inter.className}>
      <FormContextProvider>
        {children}
      </FormContextProvider>
        </body>
    </html>
  )
}
